Bug 965128 - IOError: [Errno 2] No such file or directory: '/mnt/sysimage/etc/sysconfig/network-scripts/ifcfg-ens3'
IOError: [Errno 2] No such file or directory: '/mnt/sysimage/etc/sysconfig/ne...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:59561e20111a8c4de50d314d400...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 09:31 EDT by Vojtěch Boček
Modified: 2015-02-18 08:54 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:54:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (997.68 KB, text/plain)
2013-05-20 09:31 EDT, Vojtěch Boček
no flags Details
File: anaconda.log (22.28 KB, text/plain)
2013-05-20 09:31 EDT, Vojtěch Boček
no flags Details
File: backtrace (1.32 KB, text/plain)
2013-05-20 09:31 EDT, Vojtěch Boček
no flags Details
File: environ (760 bytes, text/plain)
2013-05-20 09:31 EDT, Vojtěch Boček
no flags Details
File: ifcfg.log (257 bytes, text/plain)
2013-05-20 09:31 EDT, Vojtěch Boček
no flags Details
File: lsblk_output (1.55 KB, text/plain)
2013-05-20 09:32 EDT, Vojtěch Boček
no flags Details
File: nmcli_dev_list (3.31 KB, text/plain)
2013-05-20 09:32 EDT, Vojtěch Boček
no flags Details
File: packaging.log (669.00 KB, text/plain)
2013-05-20 09:32 EDT, Vojtěch Boček
no flags Details
File: program.log (37.85 KB, text/plain)
2013-05-20 09:32 EDT, Vojtěch Boček
no flags Details
File: storage.log (135.94 KB, text/plain)
2013-05-20 09:32 EDT, Vojtěch Boček
no flags Details
File: syslog (78.80 KB, text/plain)
2013-05-20 09:32 EDT, Vojtěch Boček
no flags Details

  None (edit)
Description Vojtěch Boček 2013-05-20 09:31:24 EDT
Description of problem:
Installing minimal Fedora 19 RC2 system from installdvd to btrfs root without swap - root is the only partititon. This exception appears when anaconda is finishing the installation ("Writing network configuration").
The following was filed automatically by anaconda:
anaconda 19.28-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/simpleconfig.py", line 77, in read
    with open(filename) as f:
  File "/usr/lib64/python2.7/site-packages/pyanaconda/simpleconfig.py", line 187, in read
    SimpleConfigFile.read(self, self.path)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 249, in loadIfcfgFile
    IfcfgFile.read(self)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/installclasses/fedora.py", line 65, in setNetworkOnbootDefault
    dev.loadIfcfgFile()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 763, in write_network_config
    instClass.setNetworkOnbootDefault(ksdata)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 809, in execute
    network.write_network_config(storage, ksdata, instClass, ROOT_PATH)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 78, in doConfiguration
    ksdata.network.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
IOError: [Errno 2] No such file or directory: '/mnt/sysimage/etc/sysconfig/network-scripts/ifcfg-ens3'

Version-Release number of selected component:
anaconda-19.28-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 78, in doConfiguration
    ksdata.network.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 809, in execute
    network.write_network_config(storage, ksdata, instClass, ROOT_PATH)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 763, in write_network_config
    instClass.setNetworkOnbootDefault(ksdata)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/installclasses/fedora.py", line 65, in setNetworkOnbootDefault
    dev.loadIfcfgFile()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 249, in loadIfcfgFile
    IfcfgFile.read(self)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/simpleconfig.py", line 187, in read
    SimpleConfigFile.read(self, self.path)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/simpleconfig.py", line 77, in read
    with open(filename) as f:
IOError: [Errno 2] No such file or directory: '/mnt/sysimage/etc/sysconfig/network-scripts/ifcfg-ens3'
Comment 1 Vojtěch Boček 2013-05-20 09:31:36 EDT
Created attachment 750572 [details]
File: anaconda-tb
Comment 2 Vojtěch Boček 2013-05-20 09:31:42 EDT
Created attachment 750573 [details]
File: anaconda.log
Comment 3 Vojtěch Boček 2013-05-20 09:31:46 EDT
Created attachment 750574 [details]
File: backtrace
Comment 4 Vojtěch Boček 2013-05-20 09:31:51 EDT
Created attachment 750575 [details]
File: environ
Comment 5 Vojtěch Boček 2013-05-20 09:31:58 EDT
Created attachment 750576 [details]
File: ifcfg.log
Comment 6 Vojtěch Boček 2013-05-20 09:32:02 EDT
Created attachment 750577 [details]
File: lsblk_output
Comment 7 Vojtěch Boček 2013-05-20 09:32:06 EDT
Created attachment 750578 [details]
File: nmcli_dev_list
Comment 8 Vojtěch Boček 2013-05-20 09:32:12 EDT
Created attachment 750579 [details]
File: packaging.log
Comment 9 Vojtěch Boček 2013-05-20 09:32:16 EDT
Created attachment 750580 [details]
File: program.log
Comment 10 Vojtěch Boček 2013-05-20 09:32:21 EDT
Created attachment 750581 [details]
File: storage.log
Comment 11 Vojtěch Boček 2013-05-20 09:32:25 EDT
Created attachment 750582 [details]
File: syslog
Comment 12 Kamil Páral 2013-05-20 10:12:25 EDT
Caused by adding new Network card to the VM while it was still running. Closing for Vojtech.
Comment 13 Alexander Verbitsky 2013-07-05 09:03:08 EDT
Hm.. I am running installation on real hardware (not VM)
Comment 14 Alexander Verbitsky 2013-07-05 09:09:03 EDT
ls /mnt/sysimage/etc/sysconfig/network-scripts

displaying following data:

ifcfg-lo                  ifdown-bnep  ifdown-ipv6  ifdown-ppp     ifdown-tunnel  ifup-bnep  ifup-ipv6  ifup-plip   ifup-ppp     ifup-tunnel       network-functions
ifcfg-Wired_connection_1  ifdown-eth   ifdown-isdn  ifdown-routes  ifup           ifup-eth   ifup-ipx   ifup-plusb  ifup-routes  ifup-wireless     network-functions-ipv6
ifdown
Comment 15 David Woodhouse 2013-11-15 08:39:21 EST
Hm? I booted and tried to install on real hardware, found that the internal wireless device didn't seem to be recognised/working, and plugged in a USB dongle instead. It then *used* the hotplugged dongle and started the installation, before eventually dying with this error.

If hotplug isn't supported, as implied by comment 12, then please make sure it fails properly and gracefully, with a clear message to that effect. Not like this. Reopening.
Comment 16 Fedora End Of Life 2015-01-09 17:07:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-18 08:54:14 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.